# class JGRtpCandidate | A RTP transport candidate. More...
Full name | `TelEngine::JGRtpCandidate`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::String [public ]
Inherited by | JGRtpCandidateP2P
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JGRtpCandidate (const char* id, const char* component = "1", unsigned int generation = 0, unsigned int net = 0, int prio = 0)
- inline JGRtpCandidate (XmlElement* xml, const JGRtpCandidates& container)
- virtual XmlElement* toXml (const JGRtpCandidates& container) const
- void fromXml (XmlElement* xml, const JGRtpCandidates& container)

#### Public Members

- String m_address
- String m_port
- String m_component
- String m_generation
- String m_network
- String m_priority
- String m_protocol
- String m_type

## Detailed Description

This class holds a RTP transport candidate

inline JGRtpCandidate (const char* id, const char* component = "1", unsigned int generation = 0, unsigned int net = 0, int prio = 0) | ### JGRtpCandidate

Constructor

inline JGRtpCandidate (XmlElement* xml, const JGRtpCandidates& container) | ### JGRtpCandidate

Constructor. Build a candidate from received data

Parameters:

xml | Received xml element
container | The transport container

XmlElement* toXml (const JGRtpCandidates& container) | ### toXml

[const virtual]

Create a 'candidate' element from this object using local address/port

Parameters:

container | The transport container

Returns: Valid XmlElement pointer if type is a known one

void fromXml (XmlElement* xml, const JGRtpCandidates& container) | ### fromXml

Fill this object from a candidate element using remote address/port

Parameters:

xml | Received xml element
container | The transport container

String m_address | ### m_address

String m_port | ### m_port

String m_component | ### m_component

String m_generation | ### m_generation

String m_network | ### m_network

String m_priority | ### m_priority

String m_protocol | ### m_protocol

String m_type | ### m_type

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.